Bug 981042 - anaconda repo=hd:LABEL aborts with non-alphanumeric characters
anaconda repo=hd:LABEL aborts with non-alphanumeric characters
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Shea
Fedora Extras Quality Assurance
abrt_hash:c585e5347080b5e72d08657e9d1...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-03 16:52 EDT by Roger J. Allen
Modified: 2015-01-22 15:20 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-22 15:20:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (554.20 KB, text/plain)
2013-07-03 16:52 EDT, Roger J. Allen
no flags Details
File: anaconda.log (8.12 KB, text/plain)
2013-07-03 16:52 EDT, Roger J. Allen
no flags Details
File: environ (441 bytes, text/plain)
2013-07-03 16:52 EDT, Roger J. Allen
no flags Details
File: lsblk_output (3.92 KB, text/plain)
2013-07-03 16:52 EDT, Roger J. Allen
no flags Details
File: nmcli_dev_list (3.54 KB, text/plain)
2013-07-03 16:52 EDT, Roger J. Allen
no flags Details
File: os_info (179 bytes, text/plain)
2013-07-03 16:52 EDT, Roger J. Allen
no flags Details
File: program.log (82.42 KB, text/plain)
2013-07-03 16:52 EDT, Roger J. Allen
no flags Details
File: storage.log (212.16 KB, text/plain)
2013-07-03 16:52 EDT, Roger J. Allen
no flags Details
File: syslog (101.41 KB, text/plain)
2013-07-03 16:52 EDT, Roger J. Allen
no flags Details
File: ifcfg.log (576 bytes, text/plain)
2013-07-03 16:52 EDT, Roger J. Allen
no flags Details
File: packaging.log (1.12 KB, text/plain)
2013-07-03 16:52 EDT, Roger J. Allen
no flags Details

  None (edit)
Description Roger J. Allen 2013-07-03 16:52:03 EDT
Description of problem:
Fedora 19 x86_64 Anaconda Installing from Hard Drive aborts if filesystem label contains non-alphanumeric characters.

See bugzilla Bug 901749 for Fedora 18.

if you try to use the "repo=" option with anaconda, and the filesystem label contains a non-alphanumeric character, then anaconda will abort.

To reproduce: 

create ext3 filesystem with label of "/export"
mkdir /f19-install
copy Fedora-19-x86_64-[DVD.iso,CHECKSUM] 
mkdir /f19-install/isolinux
copy initrd.img and vmlinuz

boot netinst.iso and replace inst.stage2 boot option with:

inst.repo=hd:LABEL=\x2fexport:/f19-install

Anaconda will boot the Fedora 19 iso from the hard disk, but it will abort while trying to find the "INSTALLATION SOURCE".

The /tmp/storage.log ends with:

failed to resolve 'LABEL=x2fexport'

This can also be reproduced with a grub2 boot stanza instead of the netinst.iso.

If the filesystem label is changed from "/export" to "export", then both
netinst.iso and grub2 can boot and install from it by using:

inst.repo=hd:LABEL=export:/f19-install

Version-Release number of selected component:
anaconda-19.30.13-1

The following was filed automatically by anaconda:
anaconda 19.30.13-1 exception report
Traceback (most recent call first):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/packaging/__init__.py", line 470, in _setupDevice
    log.info("setting up device %s and mounting on %s" % (device.name,
  File "/usr/lib64/python2.7/site-packages/pyanaconda/packaging/yumpayload.py", line 576, in _setUpMedia
    self._setupDevice(device, mountpoint=ISO_DIR)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/packaging/yumpayload.py", line 657, in _configureBaseRepo
    self._setUpMedia(isodevice)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/packaging/yumpayload.py", line 471, in updateBaseRepo
    self._configureBaseRepo(self.storage, checkmount=checkmount)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/packaging/yumpayload.py", line 193, in setup
    self.updateBaseRepo(fallback=not flags.automatedInstall)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/packaging/__init__.py", line 671, in payloadInitialize
    payload.setup(storage)
  File "/usr/lib64/python2.7/threading.py", line 764, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 168, in run
    threading.Thread.run(self, *args, **kwargs)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 87, in wait
    self.raise_error(name)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/source.py", line 559, in _initialize
    threadMgr.wait(constants.THREAD_PAYLOAD)
  File "/usr/lib64/python2.7/threading.py", line 764, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 168, in run
    threading.Thread.run(self, *args, **kwargs)
AttributeError: 'NoneType' object has no attribute 'name'

Additional info:
cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   initrd=initrd.img inst.repo=hd:LABEL=\x2fexport:/f19-install BOOT_IMAGE=vmlinuz 
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.9.5-301.fc19.x86_64
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        19
Comment 1 Roger J. Allen 2013-07-03 16:52:13 EDT
Created attachment 768472 [details]
File: anaconda-tb
Comment 2 Roger J. Allen 2013-07-03 16:52:17 EDT
Created attachment 768473 [details]
File: anaconda.log
Comment 3 Roger J. Allen 2013-07-03 16:52:20 EDT
Created attachment 768474 [details]
File: environ
Comment 4 Roger J. Allen 2013-07-03 16:52:24 EDT
Created attachment 768475 [details]
File: lsblk_output
Comment 5 Roger J. Allen 2013-07-03 16:52:27 EDT
Created attachment 768476 [details]
File: nmcli_dev_list
Comment 6 Roger J. Allen 2013-07-03 16:52:31 EDT
Created attachment 768477 [details]
File: os_info
Comment 7 Roger J. Allen 2013-07-03 16:52:35 EDT
Created attachment 768478 [details]
File: program.log
Comment 8 Roger J. Allen 2013-07-03 16:52:40 EDT
Created attachment 768479 [details]
File: storage.log
Comment 9 Roger J. Allen 2013-07-03 16:52:46 EDT
Created attachment 768480 [details]
File: syslog
Comment 10 Roger J. Allen 2013-07-03 16:52:49 EDT
Created attachment 768481 [details]
File: ifcfg.log
Comment 11 Roger J. Allen 2013-07-03 16:52:53 EDT
Created attachment 768482 [details]
File: packaging.log
Comment 12 Chris Leary 2013-11-14 14:16:20 EST
Every time that I try to boot up using a kickstart file I get this error.  If I do not use a kickstart file then the installation works just fine, however I need to use kickstart as I am trying to push out to 20+ machines.

I also tried using the vanilla kickstart file that gets created with a basic F19 non kickstart install, and also trying to use that as the base for our modified kickstart file.

cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   initrd=initrd.img inst.stage2=hd:LABEL=LIVE ks=http://callisto.sas.upenn.edu/repos/kickstart/math/math-f19-ks.cfg BOOT_IMAGE=vmlinuz 
hashmarkername: anaconda
kernel:         3.9.5-301.fc19.x86_64
package:        anaconda-19.30.13-1
product:        Fedora
reason:         AttributeError: 'NoneType' object has no attribute 'name'
release:        Cannot get release name.
version:        19
Comment 13 Fedora End Of Life 2015-01-09 13:38:57 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 David Shea 2015-01-22 15:20:22 EST
Works fine if you use hd:LABEL=/export

Note You need to log in before you can comment on or make changes to this bug.